aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorbnewbold <bnewbold@robocracy.org>2012-09-18 00:23:21 +0200
committerbnewbold <bnewbold@robocracy.org>2012-09-18 00:23:21 +0200
commit65a70abc8e035d90735258193bc17e6a89a8925b (patch)
tree70096f18199db619be2cf0403efe3b35e8abdb22
parent51bece59e7c42257d927f038b269997dc83b408d (diff)
downloaddreamplug-libertas_uap-65a70abc8e035d90735258193bc17e6a89a8925b.tar.gz
dreamplug-libertas_uap-65a70abc8e035d90735258193bc17e6a89a8925b.zip
add remote-fetching install scripts
-rwxr-xr-xinstall_binary.sh24
-rwxr-xr-xinstall_src.sh25
2 files changed, 49 insertions, 0 deletions
diff --git a/install_binary.sh b/install_binary.sh
new file mode 100755
index 0000000..86a13fb
--- /dev/null
+++ b/install_binary.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+set -e
+
+if ! [ `uname -r` = "3.2.9-kirkwood" ]
+then
+ echo "Got: `uname -r`, need 3.2.9-kirkwood"
+ echo "Wrong kernel version, binary module won't work. Try a source install?"
+ exit 1
+fi
+
+echo "git fetching kernel module binaries..."
+rm -rf /tmp/dpla
+git clone --depth 1 http://github.com/bnewbold/dreamplug-libertas_uap /tmp/dpla
+cd /tmp/dpla
+
+echo "installing..."
+mkdir -v /lib/modules/$(uname -r)/kernel/drivers/net/wireless/libertas_uap
+cp -v uap8xxx.ko-3.2.9-kirkwood /lib/modules/$(uname -r)/kernel/drivers/net/wireless/libertas_uap
+depmod -a
+cp -vr firmware/mrvl /lib/firmware/mrvl
+cp -v modprobe_libertas_uap.conf /etc/modprobe.d/libertas_uap
+
+echo "installed, probably need to reboot now?"
diff --git a/install_src.sh b/install_src.sh
new file mode 100755
index 0000000..cf5bc13
--- /dev/null
+++ b/install_src.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+set -e
+
+echo "installing required packages..."
+#apt-get update
+apt-get install -y module-assistant linux-headers-kirkwood build-essential git-core
+
+echo "git fetching kernel module src..."
+rm -rf /tmp/dpla
+git clone --depth 1 http://github.com/bnewbold/dreamplug-libertas_uap /tmp/dpla
+
+echo "building..."
+cd /tmp/dpla/libertas_uap
+make CONFIG_LIBERTAS_UAP=m -C /lib/modules/$(uname -r)/build M=$(pwd)
+
+echo "installing..."
+mkdir -pv /lib/modules/$(uname -r)/kernel/drivers/net/wireless/libertas_uap
+cp -v uap8xxx.ko /lib/modules/$(uname -r)/kernel/drivers/net/wireless/libertas_uap
+depmod -a
+cd ..
+cp -vr firmware/mrvl /lib/firmware/mrvl
+cp -v modprobe_libertas_uap.conf /etc/modprobe.d/libertas_uap
+
+echo "installed, probably need to reboot now?"